### Function

# GIRepository ObjectInfoSetValueFunction

since: 2.80

#### Declaration

    void
    (* GIObjectInfoSetValueFunction) (
      GValue* value,
      void* object
    )

#### Description

Update `value` and attach the object instance pointer `object` to it.

Available since: 2.80

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

`object`

  Type: `void*`

  Object instance pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.